/* 
 * Copyright (C) 2002 by Greg Gardner
 * 
 * This file is part of elseed, a caller-id program for your TiVo.
 * 
 * elseed is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * elseed is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 * $Id: osd.h,v 1.1.1.1 2002/04/15 22:24:51 greg Exp $
 */

#ifndef OSD_H
#define OSD_H

struct osd {
	unsigned start;
	unsigned len;
	void *buf;
};
extern int mpegfd;

extern unsigned char *tivbuffer;

extern int TextItalic;

extern void rollupbuf (int dest, int source, int lines);

extern void DrawChar(int *cur_x, int *cur_y, char c, int fg, int bg);
extern void DrawString(int *cur_x, int *cur_y, char *string, int fg, int bg);

extern void SetupTextOSD(void);
extern void FreeTextOSD(void);
extern void ClearOSD(void);
extern void DrawOSD(void);

#endif
